Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IUserProfile

All Known Implementing Classes:
  UserProfile

    public interface IUserProfile

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`void` | `addUserProperty(String name, Object value)` Add a user property
`String` | `getGroupName()` Deprecated
`String` | `getUserName()` Deprecated
`Map<String,Object>` | `getUserProperties()` Get an unmodifiable map of userProperties where the key is the name propertySet/propertyName.

Method Detail

### getUserName

    @Deprecated
    String getUserName()

  Deprecated

### getGroupName

    @Deprecated
    String getGroupName()

  Deprecated

### addUserProperty

    void addUserProperty(String name,
                         Object value)

  Add a user property

  Parameters
    `name` - the name in the format of propertySet/propertyName If the propertySet is UserProperty.P3P_PROPERTY_SET_NAME then its P3P property
    `value` - the property's value or `null` to delete a previouse value

### getUserProperties

    Map<String,Object> getUserProperties()

  Get an unmodifiable map of userProperties where the key is the name propertySet/propertyName. If the propertySet is UserProperty.P3P_PROPERTY_SET_NAME then its P3P property.

  Returns
    the map of name to value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved